Drop amd64+x86 images, no longer supported

This commit is contained in:
Fabio Erculiani
2013-07-14 18:48:43 +02:00
parent c54ed20e87
commit 901e8385f5
6 changed files with 0 additions and 556 deletions
-76
View File
@@ -1,76 +0,0 @@
# Define an alternative execution strategy, in this case, the value must be
# "iso_remaster"
execution_strategy: iso_remaster
# Release string
release_string: Sabayon Linux
# File to write release string
release_file: /etc/sabayon-edition
# ISO Image title
iso_title: Sabayon GNOME
# Outer chroot script command, to be executed outside destination chroot before
# before entering it (and before inner_chroot_script)
# outer_chroot_script:
# Execute repositories update here, in a more fault-tolerant flavor
# inner_chroot_script:
# Inner chroot script command, to be executed inside destination chroot after
# packages installation and removal
%env inner_chroot_script_after: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/amd64_x86_inner_chroot_script_after.sh
# Outer chroot script command, to be executed outside destination chroot before
# before entering it (and AFTER inner_chroot_script)
# outer_chroot_script_after:
# Used to umount /proc and unbind packages dir
%env error_script: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/remaster_error_script.sh
# Extra mkisofs parameters, perhaps something to include/use your bootloader
extra_mkisofs_parameters: -b isolinux/isolinux.bin -c isolinux/boot.cat -eltorito-alt-boot -no-emul-boot -eltorito-platform efi -eltorito-boot boot/grub/efi.img
# Pre-ISO building script. Hook to be able to copy kernel images in place, for example
%env pre_iso_script: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/amd64_x86_pre_iso_script.sh GNOME 64 32 ${SABAYON_MOLECULE_HOME:-/sabayon}/iso/Sabayon_Linux_${SABAYON_RELEASE:-11}_x86_GNOME.iso
# Post-ISO building script, called after ISO image generation.
%env post_iso_script: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/generic_post_iso_script.sh
# Destination directory for the ISO image path (MANDATORY)
%env destination_iso_directory: ${SABAYON_MOLECULE_HOME:-/sabayon}/iso
# List of packages that would be removed from chrooted system (comma separated)
# packages_to_remove:
# List of packages that would be added from chrooted system (comma separated)
# packages_to_add:
# Custom shell call to packages add (default is: equo install)
# custom_packages_add_cmd:
# Custom command for updating repositories (default is: equo update)
# repositories_update_cmd:
# Determine whether repositories update should be run (if packages_to_add is set)
# (default is: no), values are: yes, no.
execute_repositories_update: no
# Directories to remove completely (comma separated)
# paths_to_remove:
# Directories to empty (comma separated)
# paths_to_empty:
# Release Version
%env release_version: ${SABAYON_RELEASE:-11}
# Release Version string description
release_desc: amd64+x86 GNOME
# Path to source ISO file (MANDATORY)
%env source_iso: ${SABAYON_MOLECULE_HOME:-/sabayon}/iso/Sabayon_Linux_${SABAYON_RELEASE:-11}_amd64_GNOME.iso
# Destination ISO image name, call whatever you want.iso, not mandatory
%env destination_iso_image_name: Sabayon_Linux_${SABAYON_RELEASE:-11}_amd64+x86_GNOME.iso
-76
View File
@@ -1,76 +0,0 @@
# Define an alternative execution strategy, in this case, the value must be
# "iso_remaster"
execution_strategy: iso_remaster
# Release string
release_string: Sabayon Linux
# File to write release string
release_file: /etc/sabayon-edition
# ISO Image title
iso_title: Sabayon KDE
# Outer chroot script command, to be executed outside destination chroot before
# before entering it (and before inner_chroot_script)
# outer_chroot_script:
# Execute repositories update here, in a more fault-tolerant flavor
# inner_chroot_script:
# Inner chroot script command, to be executed inside destination chroot after
# packages installation and removal
%env inner_chroot_script_after: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/amd64_x86_inner_chroot_script_after.sh
# Outer chroot script command, to be executed outside destination chroot before
# before entering it (and AFTER inner_chroot_script)
# outer_chroot_script_after:
# Used to umount /proc and unbind packages dir
%env error_script: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/remaster_error_script.sh
# Extra mkisofs parameters, perhaps something to include/use your bootloader
extra_mkisofs_parameters: -b isolinux/isolinux.bin -c isolinux/boot.cat -eltorito-alt-boot -no-emul-boot -eltorito-platform efi -eltorito-boot boot/grub/efi.img
# Pre-ISO building script. Hook to be able to copy kernel images in place, for example
%env pre_iso_script: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/amd64_x86_pre_iso_script.sh KDE 64 32 ${SABAYON_MOLECULE_HOME:-/sabayon}/iso/Sabayon_Linux_11_x86_KDE.iso
# Post-ISO building script, called after ISO image generation.
%env post_iso_script: ${SABAYON_MOLECULE_HOME:-/sabayon}/scripts/generic_post_iso_script.sh
# Destination directory for the ISO image path (MANDATORY)
%env destination_iso_directory: ${SABAYON_MOLECULE_HOME:-/sabayon}/iso
# List of packages that would be removed from chrooted system (comma separated)
# packages_to_remove:
# List of packages that would be added from chrooted system (comma separated)
# packages_to_add:
# Custom shell call to packages add (default is: equo install)
# custom_packages_add_cmd:
# Custom command for updating repositories (default is: equo update)
# repositories_update_cmd:
# Determine whether repositories update should be run (if packages_to_add is set)
# (default is: no), values are: yes, no.
execute_repositories_update: no
# Directories to remove completely (comma separated)
# paths_to_remove:
# Directories to empty (comma separated)
# paths_to_empty:
# Release Version
%env release_version: ${SABAYON_RELEASE:-11}
# Release Version string description
release_desc: amd64+x86 KDE
# Path to source ISO file (MANDATORY)
%env source_iso: ${SABAYON_MOLECULE_HOME:-/sabayon}/iso/Sabayon_Linux_${SABAYON_RELEASE:-11}_amd64_KDE.iso
# Destination ISO image name, call whatever you want.iso, not mandatory
%env destination_iso_image_name: Sabayon_Linux_${SABAYON_RELEASE:-11}_amd64+x86_KDE.iso
-196
View File
@@ -1,196 +0,0 @@
set timeout=5
set default=0
set fallback=2
set pager=1
function load_video {
if [ x$feature_all_video_module = xy ]; then
insmod all_video
else
insmod efi_gop
insmod efi_uga
insmod ieee1275_fb
insmod vbe
insmod vga
insmod video_bochs
insmod video_cirrus
fi
}
if loadfont /boot/grub/unicode.pf2 ; then
set gfxmode=auto
load_video
insmod gfxterm
terminal_output gfxterm
insmod gettext
fi
if [ -f /boot/grub/default-splash.png ]; then
insmod png
background_image -m stretch /boot/grub/default-splash.png
fi
if [ x$bootlang = x ]; then
bootlang=en_US
export bootlang
fi
if [ x$bootkeymap = x ]; then
bootkeymap=us
export bootkeymap
fi
if [ x$acpi_opt = x ]; then
acpi_opt=''
export acpi_opt
fi
if [ x$modeset_opt = x ]; then
modeset_opt=''
export modeset_opt
fi
if [ x$noefi_opt = x ]; then
noefi_opt=''
export noefi_opt
fi
insmod part_gpt
menuentry "Start Sabayon __VERSION__ x86_64 __FLAVOUR__" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon64 aufs cdroot ${init_opt} loop=/livecd64.squashfs splash quiet vconsole.keymap=${bootkeymap} locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon64.igz
}
menuentry "Start Sabayon __VERSION__ i686 __FLAVOUR__" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon32 aufs cdroot ${init_opt} loop=/livecd32.squashfs splash quiet vconsole.keymap=${bootkeymap} locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon32.igz
}
menuentry "Start Sabayon __VERSION__ x86_64 Media Center" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon64 aufs cdroot ${init_opt} loop=/livecd64.squashfs splash quiet vconsole.keymap=${bootkeymap} sabayonmce locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon64.igz
}
menuentry "Start Sabayon __VERSION__ i686 Media Center" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon32 aufs cdroot ${init_opt} loop=/livecd32.squashfs splash quiet vconsole.keymap=${bootkeymap} sabayonmce locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon32.igz
}
menuentry "Installation (x86_64)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon64 aufs cdroot ${init_opt} loop=/livecd64.squashfs splash quiet vconsole.keymap=${bootkeymap} installer-gui locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon64.igz
}
menuentry "Installation (i686)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon32 aufs cdroot ${init_opt} loop=/livecd32.squashfs splash quiet vconsole.keymap=${bootkeymap} installer-gui locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon32.igz
}
submenu "Advanced Options" {
menuentry "Console mode (x86_64)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon64 aufs cdroot ${init_opt} loop=/livecd64.squashfs quiet vconsole.keymap=${bootkeymap} gentoo=nox locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon64.igz
}
menuentry "Console mode (i686)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon32 aufs cdroot ${init_opt} loop=/livecd32.squashfs quiet vconsole.keymap=${bootkeymap} gentoo=nox locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon32.igz
}
menuentry "Check disc for defects (x86_64)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon64 aufs cdroot ${init_opt} loop=/livecd64.squashfs splash quiet vconsole.keymap=${bootkeymap} locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon64.igz
}
menuentry "Check disc for defects (i686)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon32 aufs cdroot ${init_opt} loop=/livecd32.squashfs splash quiet vconsole.keymap=${bootkeymap} locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon32.igz
}
menuentry "Disable Kernel Mode Settings (for AMD Radeon GPUs with fglrx)" {
echo "Disabling Kernel Mode Setting..."
set modeset_opt="nomodeset"
export modeset_opt
configfile /boot/grub/grub.cfg
}
menuentry "Disable systemd" {
echo "Disabling Systemd..."
set init_opt="real_init=/sbin/init.d/sysvinit/init"
export init_opt
configfile /boot/grub/grub.cfg
}
menuentry "Disable ACPI" {
echo "Disabling ACPI..."
set acpi_opt="noacpi acpi=off"
export acpi_opt
configfile /boot/grub/grub.cfg
}
menuentry "Disable EFI" {
echo "Disabling EFI..."
set noefi_opt="noefi"
export noefi_opt
configfile /boot/grub/grub.cfg
}
menuentry "Debug mode (x86_64)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon64 aufs cdroot ${init_opt} loop=/livecd64.squashfs debug vconsole.keymap=${bootkeymap} locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon64.igz
}
menuentry "Debug mode (i686)" {
set gfxpayload=keep
echo "Language: ${bootlang}"
echo "Keyboard: ${bootkeymap}"
echo "Please wait..."
linux /boot/sabayon32 aufs cdroot ${init_opt} loop=/livecd32.squashfs debug vconsole.keymap=${bootkeymap} locale=${bootlang} ${modeset_opt} ${acpi_opt} --
initrd /boot/sabayon32.igz
}
}
-76
View File
@@ -1,76 +0,0 @@
default sabayon
label sabayon
menu label ^Start Sabayon __VERSION__ x86_64 __FLAVOUR__
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs splash vga=791 quiet --
label sabayon32
menu label ^Start Sabayon __VERSION__ i686 __FLAVOUR__
kernel /boot/sabayon32
append initrd=/boot/sabayon32.igz aufs cdroot loop=/livecd32.squashfs splash vga=791 quiet --
label sabayonmce
menu label ^Start Sabayon __VERSION__ x86_64 __FLAVOUR__ Media Center
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs splash vga=791 quiet sabayonmce --
label sabayonmce32
menu label ^Start Sabayon __VERSION__ i686 __FLAVOUR__ Media Center
kernel /boot/sabayon32
append initrd=/boot/sabayon32.igz aufs cdroot loop=/livecd32.squashfs splash vga=791 quiet sabayonmce --
label install
menu label Graphical ^Installation x86_64
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs splash vga=791 quiet installer-gui --
label install32
menu label Graphical ^Installation i686
kernel /boot/sabayon32
append initrd=/boot/sabayon32.igz aufs cdroot loop=/livecd32.squashfs splash vga=791 quiet installer-gui --
label genuine
menu label Safe ^Mode x86_64
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs noproprietary pci=routeirq irqpoll quiet nokvm --
label genuine32
menu label Safe ^Mode i686
kernel /boot/sabayon32
append initrd=/boot/sabayon32.igz aufs cdroot loop=/livecd32.squashfs noproprietary pci=routeirq irqpoll quiet nokvm --
label console
menu label ^Console mode x86_64
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs splash vga=791 gentoo=nox quiet --
label console32
menu label ^Console mode i686
kernel /boot/sabayon32
append initrd=/boot/sabayon32.igz aufs cdroot loop=/livecd32.squashfs splash vga=791 gentoo=nox quiet --
label console-safe
menu label ^Console mode x86_64 (no splash)
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs gentoo=nox quiet --
label console32-safe
menu label ^Console mode i686 (no splash)
kernel /boot/sabayon32
append initrd=/boot/sabayon32.igz aufs cdroot loop=/livecd32.squashfs gentoo=nox quiet --
label checkdisk
menu label ^Check disc for defects
kernel /boot/sabayon64
append initrd=/boot/sabayon64.igz aufs cdroot loop=/livecd64.squashfs splash quiet checkdisc --
label memtest
menu label Memory ^test
kernel /boot/memtest
append -
label hd
menu label ^Boot from first hard disk
localboot 0x80
append -
@@ -1,18 +0,0 @@
#!/bin/sh
/usr/sbin/env-update
. /etc/profile
# Setup Desktop links
# ARM Images links
ln -s "/mnt/cdrom/ARM" "/etc/skel/Desktop/ARM_Images"
# Tigal Desktop link
echo "[Desktop Entry]
Encoding=UTF-8
Icon=/usr/share/pixmaps/sabayon-weblink.png
Type=Link
URL=http://www.tigal.com
Name=Sponsored by Tigal" > /etc/skel/Desktop/tigal.desktop
exit 0
-114
View File
@@ -1,114 +0,0 @@
#!/bin/bash
# example call:
# amd64_x86_pre_iso_script.sh GNOME 64 32 /path/to/Sabayon_Linux_DAILY_x86_G.iso
remaster_type="${1}"
current_arch="${2}"
other_arch="${3}"
other_iso_path="${4}"
/usr/sbin/env-update
. /etc/profile
# Path to molecules.git dir
SABAYON_MOLECULE_HOME="${SABAYON_MOLECULE_HOME:-/sabayon}"
export SABAYON_MOLECULE_HOME
pre_iso_signal_handler() {
if [ -d "${tmp_dir}" ] && [ -n "${tmp_dir}" ]; then
umount -f "${tmp_dir}"
umount -f "${tmp_dir}"
rmdir "${tmp_dir}"
fi
}
trap "pre_iso_signal_handler" EXIT SIGINT SIGQUIT SIGILL SIGTERM SIGHUP
if [ ! -f "${other_iso_path}" ]; then
echo "${other_iso_path} not found"
exit 1
fi
isolinux_destination="${CDROOT_DIR}/isolinux/txt.cfg"
grub_destination="${CDROOT_DIR}/boot/grub/grub.cfg"
isolinux_source="${SABAYON_MOLECULE_HOME}/remaster/minimal_amd64_x86_isolinux.cfg"
grub_source="${SABAYON_MOLECULE_HOME}/remaster/minimal_amd64_x86_grub.cfg"
cp "${isolinux_source}" "${isolinux_destination}" || exit 1
cp "${grub_source}" "${grub_destination}" || exit 1
# Generate Language and Keyboard menus for GRUB-2
"${SABAYON_MOLECULE_HOME}"/scripts/make_grub_langs.sh "${grub_destination}" \
|| exit 1
# generate EFI GRUB
"${SABAYON_MOLECULE_HOME}"/scripts/make_grub_efi.sh || exit 1
ver="${RELEASE_VERSION}"
sed -i "s/__VERSION__/${ver}/g" "${isolinux_destination}" || exit 1
sed -i "s/__FLAVOUR__/${remaster_type}/g" "${isolinux_destination}" || exit 1
sed -i "s/__VERSION__/${ver}/g" "${grub_destination}" || exit 1
sed -i "s/__FLAVOUR__/${remaster_type}/g" "${grub_destination}" || exit 1
# setup squashfs loop files
mv "${CDROOT_DIR}/livecd.squashfs" "${CDROOT_DIR}/livecd${current_arch}.squashfs" || exit 1
# mount other iso image and steal livecd.squashfs
tmp_dir=$(mktemp -d --suffix=amd64_x86_pre_iso --tmpdir=/var/tmp 2> /dev/null)
if [ -z "${tmp_dir}" ]; then
echo "Cannot create temporary directory"
exit 1
fi
# also rename kernel and initramfs inside the CDROOT dir
mv "${CDROOT_DIR}/boot/sabayon" "${CDROOT_DIR}/boot/sabayon${current_arch}" || exit 1
mv "${CDROOT_DIR}/boot/sabayon.igz" "${CDROOT_DIR}/boot/sabayon${current_arch}.igz" || exit 1
mount -o loop "${other_iso_path}" "${tmp_dir}" || exit 1
other_squashfs_path="${tmp_dir}/livecd.squashfs"
if [ ! -f "${other_squashfs_path}" ]; then
echo "Cannot find ${other_squashfs_path}"
exit 1
fi
cp "${other_squashfs_path}" "${CDROOT_DIR}/livecd${other_arch}.squashfs" || exit 1
# copy kernel and initramfs
cp "${tmp_dir}/boot/sabayon" "${CDROOT_DIR}/boot/sabayon${other_arch}" || exit 1
cp "${tmp_dir}/boot/sabayon.igz" "${CDROOT_DIR}/boot/sabayon${other_arch}.igz" || exit 1
# copy back.jpg to proper location
isolinux_img="${SABAYON_MOLECULE_HOME}/remaster/embedded_world/back.jpg"
if [ -f "${isolinux_img}" ]; then
cp "${isolinux_img}" "${CDROOT_DIR}/isolinux/" || exit 1
fi
# copy ARM images on the ISO
arm_images_dir="${SABAYON_MOLECULE_HOME}/images"
arm_dir="${CDROOT_DIR}/ARM"
mkdir -p "${arm_dir}" || exit 1
beaglebone_image="Sabayon_Linux_9_armv7a_BeagleBone_Base_2GB.img.xz"
beagleboard_xm_image="Sabayon_Linux_9_armv7a_BeagleBoard_xM_4GB.img.xz"
pandaboard_image="Sabayon_Linux_9_armv7a_PandaBoard_4GB.img.xz"
# BeagleBone
arm_card_dir="${arm_dir}/BeagleBone"
arm_card_boot_dir="${SABAYON_MOLECULE_HOME}/boot/arm/beaglebone"
mkdir "${arm_card_dir}" -p || exit 1
cp "${arm_images_dir}/${beaglebone_image}" "${arm_card_dir}"/ || exit 1
cp "${arm_images_dir}/${beaglebone_image}.md5" "${arm_card_dir}"/ || exit 1
cp "${arm_card_boot_dir}/README.txt" "${arm_card_dir}"/ || exit 1
# BeagleBoard xM
arm_card_dir="${arm_dir}/BeagleBoard-xM"
arm_card_boot_dir="${SABAYON_MOLECULE_HOME}/boot/arm/beagleboard"
mkdir "${arm_card_dir}" -p || exit 1
cp "${arm_images_dir}/${beaglebone_image}" "${arm_card_dir}"/ || exit 1
cp "${arm_images_dir}/${beaglebone_image}.md5" "${arm_card_dir}"/ || exit 1
cp "${arm_card_boot_dir}/README.txt" "${arm_card_dir}"/ || exit 1
# PandaBoard
arm_card_dir="${arm_dir}/PandaBoard"
arm_card_boot_dir="${SABAYON_MOLECULE_HOME}/boot/arm/pandaboard"
mkdir "${arm_card_dir}" -p || exit 1
cp "${arm_images_dir}/${beaglebone_image}" "${arm_card_dir}"/ || exit 1
cp "${arm_images_dir}/${beaglebone_image}.md5" "${arm_card_dir}"/ || exit 1
cp "${arm_card_boot_dir}/README.txt" "${arm_card_dir}"/ || exit 1
# Generate livecd.squashfs.md5
"${SABAYON_MOLECULE_HOME}"/scripts/pre_iso_script_livecd_hash.sh